// SSDT Backlight Keys Hotpatch

DefinitionBlock ("", "SSDT", 2, "MAEMO", "BLKey", 0x00000000)
{
    External (_SB_.PCI0.LPCB.EC__, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.XQ14, MethodObj)    // 0 Arguments (from opcode)
    External (_SB_.PCI0.LPCB.EC__.XQ15, MethodObj)    // 0 Arguments (from opcode)
    External (_SB_.PCI0.LPCB.KBD_, DeviceObj)    // (from opcode)

    Scope (\_SB.PCI0.LPCB.EC)
    {
        Method (_Q15, 0, NotSerialized)  // _Qxx: EC Query
        {
            Notify (\_SB.PCI0.LPCB.KBD, 0x0405)
            Return (\_SB.PCI0.LPCB.EC.XQ15 ())
        }

        Method (_Q14, 0, NotSerialized)  // _Qxx: EC Query
        {
            Notify (\_SB.PCI0.LPCB.KBD, 0x0406)
            Return (\_SB.PCI0.LPCB.EC.XQ14 ())
        }
    }
}

