// SSDT _WAK Hotpatch

DefinitionBlock ("", "SSDT", 2, "MAEMO", "WAK", 0x00000000)
{
    External (_SI_._SST, MethodObj)    // 1 Arguments (from opcode)
    External (XWAK, MethodObj)    // 1 Arguments (from opcode)

    Method (_WAK, 1, NotSerialized)  // _WAK: Wake
    {
        // LED Fix On Wake From S3 & S4
        If (LOr (LEqual (Arg0, 0x03), LEqual (Arg0, 0x04)))
        {
            \_SI._SST (One)
        }

        Return (XWAK (Arg0))
    }
}

