// SSDT T480 Battery Hotpatch - based on battery_Lenovo-X220.txt (credit) RehabMan
// >> https://github.com/RehabMan/Laptop-DSDT-Patch/blob/master/battery/battery_Lenovo-X220.txt

DefinitionBlock ("", "SSDT", 2, "MAEMO", "BAT", 0x00000000)
{
    External (_SB_.LID_, DeviceObj)    // (from opcode)
    External (_SB_.LID_._LID, MethodObj)    // 0 Arguments (from opcode)
    External (_SB_.PCI0.IGPU.CLID, FieldUnitObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__._GPE, IntObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.AC__._PSR, MethodObj)    // 0 Arguments (from opcode)
    External (_SB_.PCI0.LPCB.EC__.ATMC, MethodObj)    // 0 Arguments (from opcode)
    External (_SB_.PCI0.LPCB.EC__.B0I0, IntObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.B0I1, IntObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.B0I2, IntObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.B0I3, IntObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.B1I0, IntObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.B1I1, IntObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.B1I2, IntObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.B1I3, IntObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.BATM, MutexObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.BATW, MethodObj)    // 1 Arguments (from opcode)
    External (_SB_.PCI0.LPCB.EC__.BRNS, MethodObj)    // 0 Arguments (from opcode)
    External (_SB_.PCI0.LPCB.EC__.BSWA, IntObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.BSWR, IntObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.DCWL, FieldUnitObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.ELNK, FieldUnitObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.EVNT, MethodObj)    // 1 Arguments (from opcode)
    External (_SB_.PCI0.LPCB.EC__.FNST, MethodObj)    // 0 Arguments (from opcode)
    External (_SB_.PCI0.LPCB.EC__.HB0S, FieldUnitObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.HB1S, FieldUnitObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.HCMU, FieldUnitObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.HFNI, FieldUnitObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.HFSP, FieldUnitObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.HIID, FieldUnitObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.HKEY.ANDN, IntObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.HKEY.ANGN, IntObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.HKEY.DHKC, IntObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.HKEY.DYTC, MethodObj)    // 1 Arguments (from opcode)
    External (_SB_.PCI0.LPCB.EC__.HKEY.MHKE, MethodObj)    // 1 Arguments (from opcode)
    External (_SB_.PCI0.LPCB.EC__.HKEY.MHKQ, MethodObj)    // 1 Arguments (from opcode)
    External (_SB_.PCI0.LPCB.EC__.HKEY.WGWK, MethodObj)    // 1 Arguments (from opcode)
    External (_SB_.PCI0.LPCB.EC__.HSPA, FieldUnitObj)    // (from opcode)
    External (_SB_.SLPB, DeviceObj)    // (from opcode)
    External (_TZ_.THM0, ThermalZoneObj)    // (from opcode)
    External (ACST, IntObj)    // (from opcode)
    External (ADBG, MethodObj)    // 1 Arguments (from opcode)
    External (AWON, MethodObj)    // 1 Arguments (from opcode)
    External (B0I0, IntObj)    // (from opcode)
    External (B0I1, IntObj)    // (from opcode)
    External (B0I2, IntObj)    // (from opcode)
    External (B0I3, IntObj)    // (from opcode)
    External (B1I0, IntObj)    // (from opcode)
    External (B1I1, IntObj)    // (from opcode)
    External (B1I2, IntObj)    // (from opcode)
    External (B1I3, IntObj)    // (from opcode)
    External (BRLV, FieldUnitObj)    // (from opcode)
    External (CHKC, FieldUnitObj)    // (from opcode)
    External (CHKE, FieldUnitObj)    // (from opcode)
    External (CMPR, FieldUnitObj)    // (from opcode)
    External (CSUM, MethodObj)    // 1 Arguments (from opcode)
    External (FNID, IntObj)    // (from opcode)
    External (HB0S, IntObj)    // (from opcode)
    External (HB1S, IntObj)    // (from opcode)
    External (IOEN, FieldUnitObj)    // (from opcode)
    External (IOST, FieldUnitObj)    // (from opcode)
    External (ISWK, FieldUnitObj)    // (from opcode)
    External (LIDB, FieldUnitObj)    // (from opcode)
    External (NBCF, IntObj)    // (from opcode)
    External (NVSS, MethodObj)    // 1 Arguments (from opcode)
    External (OSC4, FieldUnitObj)    // (from opcode)
    External (PNTF, MethodObj)    // 1 Arguments (from opcode)
    External (PWRS, FieldUnitObj)    // (from opcode)
    External (RRBF, IntObj)    // (from opcode)
    External (SCRM, FieldUnitObj)    // (from opcode)
    External (SPS_, IntObj)    // (from opcode)
    External (UCMS, MethodObj)    // 1 Arguments (from opcode)
    External (VBRC, MethodObj)    // 1 Arguments (from opcode)
    External (VBTD, MethodObj)    // 0 Arguments (from opcode)
    External (VCMS, MethodObj)    // 2 Arguments (from opcode)
    External (VIGD, FieldUnitObj)    // (from opcode)
    External (VSLD, MethodObj)    // 1 Arguments (from opcode)
    External (WAKI, IntObj)    // (from opcode)
    External (WLAC, FieldUnitObj)    // (from opcode)
    External (WVIS, IntObj)    // (from opcode)

    Scope (\)
    {
        Scope (_SB.PCI0.LPCB.EC)
        {
            OperationRegion (MEMO, EmbeddedControl, Zero, 0x0100)
            Field (MEMO, ByteAcc, NoLock, Preserve)
            {
                Offset (0x36), 
                WAC0,   8, 
                WAC1,   8, 
                Offset (0x4E), 
                WAK0,   8, 
                WAK1,   8, 
                Offset (0x84), 
                SPD0,   8, 
                SPD1,   8
            }

            Field (MEMO, ByteAcc, NoLock, Preserve)
            {
                Offset (0xA0), 
                BRC0,   8, 
                BRC1,   8, 
                BFC0,   8, 
                BFC1,   8, 
                Offset (0xA8), 
                BAC0,   8, 
                BAC1,   8, 
                BVO0,   8, 
                BVO1,   8
            }

            Field (MEMO, ByteAcc, NoLock, Preserve)
            {
                Offset (0xA0), 
                BBM0,   8, 
                BBM1,   8, 
                Offset (0xA4), 
                BCC0,   8, 
                BCC1,   8
            }

            Field (MEMO, ByteAcc, NoLock, Preserve)
            {
                Offset (0xA0), 
                BDC0,   8, 
                BDC1,   8, 
                BDV0,   8, 
                BDV1,   8, 
                Offset (0xAA), 
                BSN0,   8, 
                BSN1,   8
            }

            Field (MEMO, ByteAcc, NoLock, Preserve)
            {
                Offset (0xA0), 
                BCH0,   8, 
                BCH1,   8, 
                BCH2,   8, 
                BCH3,   8
            }

            Field (MEMO, ByteAcc, NoLock, Preserve)
            {
                Offset (0xA0), 
                BMNX,   128
            }

            Field (MEMO, ByteAcc, NoLock, Preserve)
            {
                Offset (0xA0), 
                BDNX,   128
            }

            Method (GBIF, 3, NotSerialized)
            {
                Acquire (BATM, 0xFFFF)
                If (Arg2)
                {
                    Or (Arg0, One, HIID)
                    Store (B1B2 (BBM0, BBM1), Local7)
                    ShiftRight (Local7, 0x0F, Local7)
                    XOr (Local7, One, Index (Arg1, Zero))
                    Store (Arg0, HIID)
                    If (Local7)
                    {
                        Multiply (B1B2 (BFC0, BFC1), 0x0A, Local1)
                    }
                    Else
                    {
                        Store (B1B2 (BFC0, BFC1), Local1)
                    }

                    Store (Local1, Index (Arg1, 0x02))
                    Or (Arg0, 0x02, HIID)
                    If (Local7)
                    {
                        Multiply (B1B2 (BDC0, BDC1), 0x0A, Local0)
                    }
                    Else
                    {
                        Store (B1B2 (BDC0, BDC1), Local0)
                    }

                    Store (Local0, Index (Arg1, One))
                    Divide (Local1, 0x14, Local2, Index (Arg1, 0x05))
                    If (Local7)
                    {
                        Store (0xC8, Index (Arg1, 0x06))
                    }
                    ElseIf (B1B2 (BDV0, BDV1))
                    {
                        Divide (0x00030D40, B1B2 (BDV0, BDV1), Local2, Index (Arg1, 0x06))
                    }
                    Else
                    {
                        Store (Zero, Index (Arg1, 0x06))
                    }

                    Store (B1B2 (BDV0, BDV1), Index (Arg1, 0x04))
                    Store (B1B2 (BSN0, BSN1), Local0)
                    Name (SERN, Buffer (0x06)
                    {
                        "     "
                    })
                    Store (0x04, Local2)
                    While (Local0)
                    {
                        Divide (Local0, 0x0A, Local1, Local0)
                        Add (Local1, 0x30, Index (SERN, Local2))
                        Decrement (Local2)
                    }

                    Store (SERN, Index (Arg1, 0x0A))
                    Or (Arg0, 0x06, HIID)
                    Store (RECB (0xA0, 0x80), Index (Arg1, 0x09))
                    Or (Arg0, 0x04, HIID)
                    Name (BTYP, Buffer (0x05)
                    {
                         0x00, 0x00, 0x00, 0x00, 0x00                   
                    })
                    Store (B1B4 (BCH0, BCH1, BCH2, BCH3), BTYP)
                    Store (BTYP, Index (Arg1, 0x0B))
                    Or (Arg0, 0x05, HIID)
                    Store (RECB (0xA0, 0x80), Index (Arg1, 0x0C))
                }
                Else
                {
                    Store (0xFFFFFFFF, Index (Arg1, One))
                    Store (Zero, Index (Arg1, 0x05))
                    Store (Zero, Index (Arg1, 0x06))
                    Store (0xFFFFFFFF, Index (Arg1, 0x02))
                }

                Release (BATM)
                Return (Arg1)
            }

            Method (GBIX, 3, NotSerialized)
            {
                Acquire (BATM, 0xFFFF)
                If (Arg2)
                {
                    Or (Arg0, One, HIID)
                    Store (B1B2 (BCC0, BCC1), Local7)
                    Store (Local7, Index (Arg1, 0x08))
                    Store (B1B2 (BBM0, BBM1), Local7)
                    ShiftRight (Local7, 0x0F, Local7)
                    XOr (Local7, One, Index (Arg1, One))
                    Store (Arg0, HIID)
                    If (Local7)
                    {
                        Multiply (B1B2 (BFC0, BFC1), 0x0A, Local1)
                    }
                    Else
                    {
                        Store (B1B2 (BFC0, BFC1), Local1)
                    }

                    Store (Local1, Index (Arg1, 0x03))
                    Or (Arg0, 0x02, HIID)
                    If (Local7)
                    {
                        Multiply (B1B2 (BDC0, BDC1), 0x0A, Local0)
                    }
                    Else
                    {
                        Store (B1B2 (BDC0, BDC1), Local0)
                    }

                    Store (Local0, Index (Arg1, 0x02))
                    Divide (Local1, 0x14, Local2, Index (Arg1, 0x06))
                    If (Local7)
                    {
                        Store (0xC8, Index (Arg1, 0x07))
                    }
                    ElseIf (B1B2 (BDV0, BDV1))
                    {
                        Divide (0x00030D40, B1B2 (BDV0, BDV1), Local2, Index (Arg1, 0x07))
                    }
                    Else
                    {
                        Store (Zero, Index (Arg1, 0x07))
                    }

                    Store (B1B2 (BDV0, BDV1), Index (Arg1, 0x05))
                    Store (B1B2 (BSN0, BSN1), Local0)
                    Name (SERN, Buffer (0x06)
                    {
                        "     "
                    })
                    Store (0x04, Local2)
                    While (Local0)
                    {
                        Divide (Local0, 0x0A, Local1, Local0)
                        Add (Local1, 0x30, Index (SERN, Local2))
                        Decrement (Local2)
                    }

                    Store (SERN, Index (Arg1, 0x11))
                    Or (Arg0, 0x06, HIID)
                    Store (RECB (0xA0, 0x80), Index (Arg1, 0x10))
                    Or (Arg0, 0x04, HIID)
                    Name (BTYP, Buffer (0x05)
                    {
                         0x00, 0x00, 0x00, 0x00, 0x00                   
                    })
                    Store (B1B4 (BCH0, BCH1, BCH2, BCH3), BTYP)
                    Store (BTYP, Index (Arg1, 0x12))
                    Or (Arg0, 0x05, HIID)
                    Store (RECB (0xA0, 0x80), Index (Arg1, 0x13))
                }
                Else
                {
                    Store (0xFFFFFFFF, Index (Arg1, 0x02))
                    Store (Zero, Index (Arg1, 0x06))
                    Store (Zero, Index (Arg1, 0x07))
                    Store (0xFFFFFFFF, Index (Arg1, 0x03))
                }

                Release (BATM)
                Return (Arg1)
            }

            Method (GBST, 4, NotSerialized)
            {
                Acquire (BATM, 0xFFFF)
                If (And (Arg1, 0x20))
                {
                    Store (0x02, Local0)
                }
                ElseIf (And (Arg1, 0x40))
                {
                    Store (One, Local0)
                }
                Else
                {
                    Store (Zero, Local0)
                }

                If (And (Arg1, 0x07)){}
                Else
                {
                    Or (Local0, 0x04, Local0)
                }

                If (LEqual (And (Arg1, 0x07), 0x07))
                {
                    Store (0x04, Local0)
                    Store (Zero, Local1)
                    Store (Zero, Local2)
                    Store (Zero, Local3)
                }
                Else
                {
                    Store (Arg0, HIID)
                    Store (B1B2 (BVO0, BVO1), Local3)
                    If (Arg2)
                    {
                        Multiply (B1B2 (BRC0, BRC1), 0x0A, Local2)
                    }
                    Else
                    {
                        Store (B1B2 (BRC0, BRC1), Local2)
                    }

                    Store (B1B2 (BAC0, BAC1), Local1)
                    If (LGreaterEqual (Local1, 0x8000))
                    {
                        If (And (Local0, One))
                        {
                            Subtract (0x00010000, Local1, Local1)
                        }
                        Else
                        {
                            Store (Zero, Local1)
                        }
                    }
                    ElseIf (LNot (And (Local0, 0x02)))
                    {
                        Store (Zero, Local1)
                    }

                    If (Arg2)
                    {
                        Multiply (Local3, Local1, Local1)
                        Divide (Local1, 0x03E8, Local7, Local1)
                    }
                }

                Store (ShiftLeft (One, ShiftRight (Arg0, 0x04)), Local5)
                Or (BSWA, BSWR, BSWA)
                If (LEqual (And (BSWA, Local5), Zero))
                {
                    Store (Local0, Index (Arg3, Zero))
                    Store (Local1, Index (Arg3, One))
                    Store (Local2, Index (Arg3, 0x02))
                    Store (Local3, Index (Arg3, 0x03))
                    If (LEqual (Arg0, Zero))
                    {
                        Store (Local0, B0I0)
                        Store (Local1, B0I1)
                        Store (Local2, B0I2)
                        Store (Local3, B0I3)
                    }
                    Else
                    {
                        Store (Local0, B1I0)
                        Store (Local1, B1I1)
                        Store (Local2, B1I2)
                        Store (Local3, B1I3)
                    }
                }
                Else
                {
                    If (\_SB.PCI0.LPCB.EC.AC._PSR ())
                    {
                        If (LEqual (Arg0, Zero))
                        {
                            Store (B0I0, Index (Arg3, Zero))
                            Store (B0I1, Index (Arg3, One))
                            Store (B0I2, Index (Arg3, 0x02))
                            Store (B0I3, Index (Arg3, 0x03))
                        }
                        Else
                        {
                            Store (B1I0, Index (Arg3, Zero))
                            Store (B1I1, Index (Arg3, One))
                            Store (B1I2, Index (Arg3, 0x02))
                            Store (B1I3, Index (Arg3, 0x03))
                        }
                    }
                    Else
                    {
                        Store (Local0, Index (Arg3, Zero))
                        Store (Local1, Index (Arg3, One))
                        Store (Local2, Index (Arg3, 0x02))
                        Store (Local3, Index (Arg3, 0x03))
                    }

                    If (LAnd (LEqual (And (Local0, 0x04), Zero), LAnd (LGreater (Local2, Zero), LGreater (Local3, Zero))))
                    {
                        And (BSWA, Not (Local5), BSWA)
                        Store (Local0, Index (Arg3, Zero))
                        Store (Local1, Index (Arg3, One))
                        Store (Local2, Index (Arg3, 0x02))
                        Store (Local3, Index (Arg3, 0x03))
                    }
                }

                Release (BATM)
                Return (Arg3)
            }

            Method (AJTP, 3, NotSerialized)
            {
                Store (Arg1, Local0)
                Acquire (BATM, 0xFFFF)
                Store (Arg0, HIID)
                Store (B1B2 (BRC0, BRC1), Local1)
                Release (BATM)
                If (LEqual (Arg0, Zero))
                {
                    Store (HB0S, Local2)
                }
                Else
                {
                    Store (HB1S, Local2)
                }

                If (And (Local2, 0x20))
                {
                    If (LGreater (Arg2, Zero))
                    {
                        Add (Local0, One, Local0)
                    }

                    If (LLessEqual (Local0, Local1))
                    {
                        Add (Local1, One, Local0)
                    }
                }
                ElseIf (And (Local2, 0x40))
                {
                    If (LGreaterEqual (Local0, Local1))
                    {
                        Subtract (Local1, One, Local0)
                    }
                }

                Return (Local0)
            }

            Method (RE1B, 1, NotSerialized)
            {
                OperationRegion (ERAM, EmbeddedControl, Arg0, One)
                Field (ERAM, ByteAcc, NoLock, Preserve)
                {
                    BYTE,   8
                }

                Return (BYTE)
            }

            Method (RECB, 2, Serialized)
            {
                ShiftRight (Arg1, 0x03, Arg1)
                Name (TEMP, Buffer (Arg1){})
                Add (Arg0, Arg1, Arg1)
                Store (Zero, Local0)
                While (LLess (Arg0, Arg1))
                {
                    Store (RE1B (Arg0), Index (TEMP, Local0))
                    Increment (Arg0)
                    Increment (Local0)
                }

                Return (TEMP)
            }
        }

        Method (OWAK, 1, NotSerialized)
        {
            ADBG ("OWAK")
            If (LOr (LEqual (Arg0, Zero), LGreaterEqual (Arg0, 0x05)))
            {
                Return (WAKI)
            }

            Store (Zero, \SPS)
            Store (Zero, \_SB.PCI0.LPCB.EC.HCMU)
            \_SB.PCI0.LPCB.EC.EVNT (One)
            \_SB.PCI0.LPCB.EC.HKEY.MHKE (One)
            \_SB.PCI0.LPCB.EC.FNST ()
            \UCMS (0x0D)
            Store (Zero, \LIDB)
            If (LEqual (Arg0, One))
            {
                Store (\_SB.PCI0.LPCB.EC.HFNI, \FNID)
            }

            If (LEqual (Arg0, 0x03))
            {
                \NVSS (Zero)
                Store (\_SB.PCI0.LPCB.EC.AC._PSR (), \PWRS)
                If (\OSC4)
                {
                    \PNTF (0x81)
                }

                If (LNotEqual (\ACST, \_SB.PCI0.LPCB.EC.AC._PSR ()))
                {
                    \_SB.PCI0.LPCB.EC.ATMC ()
                }

                If (\SCRM)
                {
                    Store (0x07, \_SB.PCI0.LPCB.EC.HFSP)
                }

                Store (Zero, \IOEN)
                Store (Zero, \IOST)
                If (LEqual (\ISWK, One))
                {
                    If (\_SB.PCI0.LPCB.EC.HKEY.DHKC)
                    {
                        \_SB.PCI0.LPCB.EC.HKEY.MHKQ (0x6070)
                    }
                }

                If (\VIGD)
                {
                    Store (\_SB.LID._LID (), \_SB.PCI0.IGPU.CLID)
                    If (\WVIS)
                    {
                        \VBTD ()
                    }
                }
                ElseIf (\WVIS)
                {
                    Store (\_SB.LID._LID (), \_SB.PCI0.IGPU.CLID)
                    \VBTD ()
                }

                \VCMS (One, \_SB.LID._LID ())
                \AWON (Zero)
                If (\CMPR)
                {
                    Notify (\_SB.SLPB, 0x02)
                    Store (Zero, \CMPR)
                }

                If (LEqual (\WLAC, 0x02)){}
                ElseIf (LAnd (\_SB.PCI0.LPCB.EC.ELNK, LEqual (\WLAC, One)))
                {
                    Store (Zero, \_SB.PCI0.LPCB.EC.DCWL)
                }
                Else
                {
                    Store (One, \_SB.PCI0.LPCB.EC.DCWL)
                }
            }

            If (LEqual (Arg0, 0x04))
            {
                \NVSS (Zero)
                Store (Zero, \_SB.PCI0.LPCB.EC.HSPA)
                Store (\_SB.PCI0.LPCB.EC.AC._PSR (), \PWRS)
                If (\OSC4)
                {
                    \PNTF (0x81)
                }

                \_SB.PCI0.LPCB.EC.ATMC ()
                If (\SCRM)
                {
                    Store (0x07, \_SB.PCI0.LPCB.EC.HFSP)
                }

                If (LNot (\NBCF))
                {
                    If (\VIGD)
                    {
                        \_SB.PCI0.LPCB.EC.BRNS ()
                    }
                    Else
                    {
                        \VBRC (\BRLV)
                    }
                }

                Store (Zero, \IOEN)
                Store (Zero, \IOST)
                If (LEqual (\ISWK, 0x02))
                {
                    If (\_SB.PCI0.LPCB.EC.HKEY.DHKC)
                    {
                        \_SB.PCI0.LPCB.EC.HKEY.MHKQ (0x6080)
                    }
                }

                If (LEqual (\WLAC, 0x02)){}
                ElseIf (LAnd (\_SB.PCI0.LPCB.EC.ELNK, LEqual (\WLAC, One)))
                {
                    Store (Zero, \_SB.PCI0.LPCB.EC.DCWL)
                }
                Else
                {
                    Store (One, \_SB.PCI0.LPCB.EC.DCWL)
                }
            }

            \_SB.PCI0.LPCB.EC.BATW (Arg0)
            \_SB.PCI0.LPCB.EC.HKEY.WGWK (Arg0)
            Notify (\_TZ.THM0, 0x80)
            \VSLD (\_SB.LID._LID ())
            If (\VIGD)
            {
                Store (\_SB.LID._LID (), \_SB.PCI0.IGPU.CLID)
            }
            ElseIf (\WVIS)
            {
                Store (\_SB.LID._LID (), \_SB.PCI0.IGPU.CLID)
            }

            If (LLess (Arg0, 0x04))
            {
                If (LOr (And (\RRBF, 0x02), And (B1B2 (\_SB.PCI0.LPCB.EC.WAC0, \_SB.PCI0.LPCB.EC.WAC1), 0x02)))
                {
                    ShiftLeft (Arg0, 0x08, Local0)
                    Store (Or (0x2013, Local0), Local0)
                    \_SB.PCI0.LPCB.EC.HKEY.MHKQ (Local0)
                }
            }

            If (LEqual (Arg0, 0x04))
            {
                Store (Zero, Local0)
                Store (\CSUM (Zero), Local1)
                If (LNotEqual (Local1, \CHKC))
                {
                    Store (One, Local0)
                    Store (Local1, \CHKC)
                }

                Store (\CSUM (One), Local1)
                If (LNotEqual (Local1, \CHKE))
                {
                    Store (One, Local0)
                    Store (Local1, \CHKE)
                }

                If (Local0)
                {
                    Notify (\_SB, Zero)
                }
            }

            If (LOr (LEqual (Arg0, 0x03), LEqual (Arg0, 0x04)))
            {
                ADBG ("_WAK0")
                Store (Zero, \_SB.PCI0.LPCB.EC.HKEY.ANDN)
                Store (Zero, \_SB.PCI0.LPCB.EC.HKEY.ANGN)
                \_SB.PCI0.LPCB.EC.HKEY.DYTC (0x000F0001)
                ADBG ("_WAK1")
            }

            Store (Zero, \RRBF)
            ADBG ("OWAK END")
            Return (WAKI)
        }

        Scope (_GPE)
        {
            Method (_L17, 0, NotSerialized)  // _Lxx: Level-Triggered GPE
            {
                Store (B1B2 (\_SB.PCI0.LPCB.EC.WAC0, \_SB.PCI0.LPCB.EC.WAC1), Local0)
                Store (Local0, \RRBF)
                Sleep (0x0A)
                If (And (Local0, 0x02)){}
                If (And (Local0, 0x04))
                {
                    Notify (\_SB.LID, 0x02)
                }

                If (And (Local0, 0x08))
                {
                    Notify (\_SB.SLPB, 0x02)
                }

                If (And (Local0, 0x10))
                {
                    Notify (\_SB.SLPB, 0x02)
                }

                If (And (Local0, 0x40)){}
                If (And (Local0, 0x80))
                {
                    Notify (\_SB.SLPB, 0x02)
                }
            }
        }

        Method (B1B2, 2, NotSerialized)
        {
            Return (Or (Arg0, ShiftLeft (Arg1, 0x08)))
        }

        Method (B1B4, 4, NotSerialized)
        {
            Store (Arg3, Local0)
            Or (Arg2, ShiftLeft (Local0, 0x08), Local0)
            Or (Arg1, ShiftLeft (Local0, 0x08), Local0)
            Or (Arg0, ShiftLeft (Local0, 0x08), Local0)
            Return (Local0)
        }
    }
}

