// SSDT _PTS Hotpatch

DefinitionBlock ("", "SSDT", 2, "MAEMO", "PTS", 0x00000000)
{
    External (_SB_.PCI0.XHC_.PMEE, FieldUnitObj)    // (from opcode)
    External (XPTS, MethodObj)    // 1 Arguments (from opcode)

    Method (_PTS, 1, NotSerialized)  // _PTS: Prepare To Sleep
    {
        XPTS (Arg0)
        
        // XHC (USB Controller) Power Off On S5
        If (LEqual (0x05, Arg0))
        {
            Store (Zero, \_SB.PCI0.XHC.PMEE)
        }
    }
}

